Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class XmlInterfaceCriteria

`java.lang.Object
oracle.jbo.common.XmlInterfaceCriteria`

All Implemented Interfaces:
  Criteria

public class XmlInterfaceCriteria
extends java.lang.Object
implements Criteria

Constructor Summary
`XmlInterfaceCriteria()`
`XmlInterfaceCriteria(int depthCount, long options, com.sun.java.util.collections.HashMap voAttrMap)`

Method Summary
`com.sun.java.util.collections.HashMap` | `getAttributeMap()`
`int` | `getDepthCount()`
`long` | `getRowOptions()`
`void` | `setDepthCount(int depthCount)`
`void` | `setRowOptions(long options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlInterfaceCriteria

    public XmlInterfaceCriteria()

### XmlInterfaceCriteria

    public XmlInterfaceCriteria(int depthCount,
                                long options,
                                com.sun.java.util.collections.HashMap voAttrMap)

Method Detail

### setRowOptions

    public void setRowOptions(long options)

### setDepthCount

    public void setDepthCount(int depthCount)

### getAttributeMap

    public com.sun.java.util.collections.HashMap getAttributeMap()

### getRowOptions

    public long getRowOptions()

### getDepthCount

    public int getDepthCount()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.